Bug 101923 - konqueror crashes
konqueror crashes
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdeaddons (Show other bugs)
7.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 01:51 EDT by justin joseph
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-14 08:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description justin joseph 2003-08-08 01:51:05 EDT
Description of problem: 
konqueror crashes  
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
 
Steps to Reproduce: 
1.browse the net 
2.browse the local files 
3.then go try to browse the net again 
     
Actual results: 
 
 
Expected results: 
 
 
Additional info: 
 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...[New Thread 1024 (LWP 1478)] 
0x420b4769 in wait4 () from /lib/i686/libc.so.6 
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6 
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6 
#2  0x40eefca3 in waitpid () from /lib/i686/libpthread.so.0 
#3  0x406b38d2 in KCrash::defaultCrashHandler () 
   from /usr/lib/libkdecore-gcc2.96.so.4 
#4  0x40eedf75 in pthread_sighandler () from /lib/i686/libpthread.so.0 
#5  <signal handler called> 
#6  0x415039fa in DOM::CSSImageValueImpl::~CSSImageValueImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#7  0x4151c368 in QPtrList<DOM::CSSProperty>::deleteItem () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#8  0x40c10a29 in QGList::clear () from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#9  0x4151c1cb in QPtrList<DOM::CSSProperty>::clear () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#10 0x4151c027 in QPtrList<DOM::CSSProperty>::~QPtrList () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#11 0x41500e52 in DOM::CSSStyleDeclarationImpl::~CSSStyleDeclarationImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#12 0x4148d3d9 in DOM::ElementImpl::~ElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#13 0x414a95db in DOM::HTMLElementImpl::~HTMLElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#14 0x414ae143 in DOM::HTMLBodyElementImpl::~HTMLBodyElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#15 0x41489f0a in DOM::NodeBaseImpl::~NodeBaseImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#16 0x4148d41c in DOM::ElementImpl::~ElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#17 0x414a95db in DOM::HTMLElementImpl::~HTMLElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#18 0x414b07fb in DOM::HTMLHtmlElementImpl::~HTMLHtmlElementImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#19 0x41489f0a in DOM::NodeBaseImpl::~NodeBaseImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#20 0x414808fa in DOM::DocumentImpl::~DocumentImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#21 0x414ab791 in DOM::HTMLDocumentImpl::~HTMLDocumentImpl () 
   from /usr/lib/libkhtml-gcc2.96.so.4 
#22 0x4152f2a4 in DOM::Node::~Node () from /usr/lib/libkhtml-gcc2.96.so.4 
#23 0x417517fb in KJS::DOMNode::~DOMNode () 
   from /usr/lib/kde3/kjs_html-gcc2.96.so 
#24 0x417d14e4 in KJS::HTMLDocument::~HTMLDocument () 
   from /usr/lib/kde3/kjs_html-gcc2.96.so 
#25 0x41863bc1 in KJS::Collector::collect () from /usr/lib/libkjs-gcc2.96.so.1 
#26 0x417a0159 in KJS::Window::clear () from /usr/lib/kde3/kjs_html-gcc2.96.so 
#27 0x417b4197 in KJSProxyImpl::clear () from 
/usr/lib/kde3/kjs_html-gcc2.96.so 
#28 0x4144192e in KHTMLPart::clear () from /usr/lib/libkhtml-gcc2.96.so.4 
#29 0x414444e0 in KHTMLPart::begin () from /usr/lib/libkhtml-gcc2.96.so.4 
#30 0x414429f7 in KHTMLPart::slotData () from /usr/lib/libkhtml-gcc2.96.so.4 
#31 0x41465c42 in KHTMLPart::qt_invoke () from /usr/lib/libkhtml-gcc2.96.so.4 
#32 0x40987ec7 in QObject::activate_signal () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#33 0x40196e9d in KIO::TransferJob::data () from /usr/lib/libkio-gcc2.96.so.4 
#34 0x4017bcb7 in KIO::TransferJob::slotData () 
   from /usr/lib/libkio-gcc2.96.so.4 
#35 0x40197283 in KIO::TransferJob::qt_invoke () 
   from /usr/lib/libkio-gcc2.96.so.4 
#36 0x40987ec7 in QObject::activate_signal () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#37 0x40169fec in KIO::SlaveInterface::data () 
   from /usr/lib/libkio-gcc2.96.so.4 
#38 0x40167cad in KIO::SlaveInterface::dispatch () 
   from /usr/lib/libkio-gcc2.96.so.4 
#39 0x401678d7 in KIO::SlaveInterface::dispatch () 
   from /usr/lib/libkio-gcc2.96.so.4 
#40 0x40165314 in KIO::Slave::gotInput () from /usr/lib/libkio-gcc2.96.so.4 
#41 0x40166e9e in KIO::Slave::qt_invoke () from /usr/lib/libkio-gcc2.96.so.4 
#42 0x40987ec7 in QObject::activate_signal () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#43 0x40987fec in QObject::activate_signal () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#44 0x40c8127d in QSocketNotifier::activated () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#45 0x4099f6d7 in QSocketNotifier::event () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#46 0x40927ff3 in QApplication::internalNotify () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#47 0x40927e8c in QApplication::notify () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#48 0x40618f1b in KApplication::notify () from 
/usr/lib/libkdecore-gcc2.96.so.4 
#49 0x408cc5cf in sn_activate () from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#50 0x408cceb9 in QApplication::processNextEvent () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#51 0x409294bc in QApplication::enter_loop () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#52 0x408cc637 in QApplication::exec () 
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3 
#53 0x41203d10 in main () from /usr/lib/konqueror-gcc2.96.so 
#54 0x0804cee9 in strcpy () 
#55 0x0804dbcc in strcpy () 
#56 0x0804e016 in strcpy () 
#57 0x0804f505 in strcpy () 
#58 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Ngo Than 2003-08-11 05:28:04 EDT
which gcc, qt, glibc, kdelibs and kdebase have you installed on your machine?
just do: rpm -qi gcc glibc qt kdelibs kdebase to get those infos.
Comment 2 Ngo Than 2003-08-14 08:22:26 EDT
Hm, i have tried to reproduce this problem on several machines, but it works here.

please make sure that you have installed KDE 3.0.5a on your machine.

Note You need to log in before you can comment on or make changes to this bug.